Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06601 Sound Minor Always Jun 5, 2017, 14:56 Oct 20, 2021, 14:52
Tester M.A.S.H. View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver upscope.cpp
Version 0.186 Fixed in Version 0.237 Build
Fixed in Git Commit b3e2000 Github Pull Request #
Summary 06601: upscope: Missing sound effects
Description Some of the sound effects like the torpedo firing and credit sounds are missing
Steps To Reproduce
Additional Information MAME 0.183:

https://git.redump.net/mame/commit/?id=f2f55c1568a99c55b679775426e3fdd99e8c0bf9
Amiga: Move and rename amiga sound device, add pinout and description

https://git.redump.net/mame/commit/?id=094ace1fbfb77d5ab075df25a3a81cf00c98ee31
Amiga: Move audio related registers into Paula device. The device is now independent from the Amiga state class.[Dirk Best].

Source: src/devices/machine/8364_paula.cpp (renamed from src/devices/sound/amiga.cpp)
Github Commit
Flags
Regression Version 0.183
Affected Sets / Systems upscope
Attached Files
 
Relationships
related to 06695ResolvedKale  ar_sdwr, ar_sprg: Sounds issue. 
related to 07601ResolvedKale  ar_sdwr, ar_sdwr2: Sound problems 
Notes
1
User avatar
No.14194
Tafoid
Administrator
Sep 25, 2017, 22:09
edited on: Oct 6, 2017, 00:34
Also observed with ar_sdwr, ar_sprg - arsystems.cpp
When starting to play a game, the shot is started then repeated constantly.